Skip to main content
`Ctrl`+`K`

# SlepcAbs

Returns \(\sqrt{x^2+y^2}\), taking care not to cause unnecessary overflow. It is based on LAPACK’s `DLAPY2`.

## Synopsis

    static inline PetscReal SlepcAbs(PetscReal x,PetscReal y)

Not Collective

## Input parameters

- x - the first real number

- y - the second real number

## Output parameter

- return - the result

## Fortran Note

This function is not available from Fortran.

## Level

developer

## Location

include/slepcmath.h

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages